### Method

# Atspi Text add_selection

#### Declaration [src]

    gboolean
    atspi_text_add_selection (
      AtspiText* obj,
      gint start_offset,
      gint end_offset,
      GError** error
    )

#### Description [src]

Selects some text (adds a text selection) in an `AtspiText` object.

#### Parameters

`start_offset`

  Type: `gint`

  The starting offset of the desired new selection.

`end_offset`

  Type: `gint`

  The offset of the first character after the new selection.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, `FALSE` otherwise.